<?php
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');

function xExportar($varForm) {
	$varFie = (isset($varField) && $varField<>'')? "'$varField'":"NULL";
	$varOrd = (isset($varOrder) && $varOrder<>'')? "'$varOrder'":"NULL";
	$varCod = (isset($varForm["cod"]) && $varForm["cod"]<>'')?$varForm["cod"]:"NULL";
	$varUsu = (isset($varForm["ucod"]) && $varForm["ucod"]<>'')?$varForm["ucod"]:"NULL";
	$varIni = (isset($varForm["fini"]) && $varForm["fini"]<>'')?"'".FechaMySql($varForm["fini"])."'":"NULL";
	$varFin = (isset($varForm["ffin"]) && $varForm["ffin"]<>'')?"'".FechaMySql($varForm["ffin"])."'":"NULL";
	$sql = "call spQuery_LiqReparto_Asignacion_Permiso($varCod, $varUsu, $varIni, $varFin, $varFie, $varOrd);";
	
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = (isset($varForm["titu"]))?$varForm["titu"]:"Reporte";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("export.php?page=$varTitulo");
    return $objResponse;
	}

function xBuscar($varFormm, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsAsignacionPermiso($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varFormm, $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", utf8_encode($varTabla));
	$variable2="ResaltarSeleccionado()";
	$respuestaXajax->script($variable2); 
	return $respuestaXajax;
	}

function xFormuRegistro($varAsi, $varUsu, $varOpt) {
	$var = VarServer("MYSQLI");
	$obj = new clsAsignacionPermiso($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla = $obj->FormuRegistro($varAsi, $varUsu, $varOpt);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "style.display", "none");
	$respuestaXajax->assign("divFormRegistro", "innerHTML", utf8_encode($varTabla));
	$varScrip = '$(document).ready(function() {
				function startChange() {
					var startDate = finir.value();
					if (startDate) {
						startDate = new Date(startDate);
						startDate.setDate(startDate.getDate());
						ffinr.min(startDate);
					}
				}
		
				function endChange() {
					var endDate = ffinr.value();
					if (endDate) {
						endDate = new Date(endDate);
						endDate.setDate(endDate.getDate());
						finir.max(endDate);
					}
				}
		
				var finir = $("#finir").kendoDatePicker({
					change: startChange,
					format: "dd/MM/yyyy"
				}).data("kendoDatePicker");
		
				var ffinr = $("#ffinr").kendoDatePicker({
					change: endChange,
					format: "dd/MM/yyyy"
				}).data("kendoDatePicker");
			});';
	$respuestaXajax->script($varScrip);
	return $respuestaXajax;
	}
	
function xRegresar() {
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "style.display", "block");
	$respuestaXajax->assign("divFormRegistro", "innerHTML", "");
	return $respuestaXajax;
	}

function xGrabar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsAsignacionPermiso($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varResp = $obj->ProcesoGrabar($varForm);
	$respuestaXajax = new xajaxResponse();
	if ($varResp == "OK") {
		$respuestaXajax->alert("PERMISO GUARDADOS CORRECTAMENTE");
		$respuestaXajax->assign("divForm", "style.display", "block");
		$respuestaXajax->assign("divFormRegistro", "innerHTML", "");
		return $respuestaXajax;
		}
	else {
		$respuestaXajax->alert("ERROR AL PROCESAR DATOS...!!!!!\n====================================\n".$varResp."\nVERIFIQUE LOS DATOS POR FAVOR");		
		return $respuestaXajax;
		}
	}
	
function xEliminar($varAsi, $varUsu) {
	$var = VarServer("MYSQLI");
	$obj = new clsAsignacionPermiso($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varResul = $obj->ProcesoEliminar($varAsi, $varUsu);	
	$respuestaXajax = new xajaxResponse();
	if ($varResul=="OK") {
		$respuestaXajax->alert("PERMISO ELIMINADO CORRECTAMENTE");
		}
	else
		$respuestaXajax->alert("ERROR AL PROCESAR DATOS...!!!!!\n====================================\n".$varResul."\nVERIFIQUE LOS DATOS POR FAVOR");
		
	return $respuestaXajax;
	}

$xajax->register(XAJAX_FUNCTION, 'seleccionar_usuario');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_asignacion');
$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xFormuRegistro');
$xajax->register(XAJAX_FUNCTION, 'xRegresar');
$xajax->register(XAJAX_FUNCTION, 'xGrabar');
$xajax->register(XAJAX_FUNCTION, 'xEliminar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');


$xajax->processRequest();
$xajax->printJavascript("clases/xajax");


?>
<script language="javascript">	
	function xBuscarJS(varField, varOrder) {
		if (xajax.$("cod").value=="" && xajax.$("ucod").value=="" && xajax.$("fini").value=="" && xajax.$("ffin").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR AL MENOS UN PARAMETRO DE BUSQUEDA");
			xajax.$("cod").focus()
			return (false); 
			}
		else {
			xajax_xBuscar(xajax.getFormValues('form'), varField, varOrder);
			}				
		}	
	
	function xGrabarJS() {
		if (xajax.$("acod") && xajax.$("acod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN NUMERO DE ASIGNACION");  
			xajax.$("acod").focus();
			return (false); 
			}		
		else if (xajax.$("xcod") && xajax.$("xcod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN USUARIO");  
			xajax.$("xcod").focus();
			return (false); 
			}
		else if (xajax.$("finir") && xajax.$("finir").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA INICIAL DEL PERMISO");  
			xajax.$("finir").focus();
			return (false); 
			}
		else if (xajax.$("ffinr") && xajax.$("ffinr").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA FINAL DEL PERMISO");  
			xajax.$("ffinr").focus();
			return (false); 
			}
		if (confirm("¿DESE GUARDAR LOS CAMBIOS?")) {
			xajax_xGrabar(xajax.getFormValues('formReg'));		
			}
		}
		
	function xExportarJS() {
		if (xajax.$("cod").value=="" && xajax.$("ucod").value=="" && xajax.$("fini").value=="" && xajax.$("ffin").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR AL MENOS UN PARAMETRO DE BUSQUEDA");
			xajax.$("cod").focus()
			return (false); 
			}
		else {
			xajax_xExportar(xajax.getFormValues('form'));
			}			
		}
		
	function xEliminarJS(varAsi, varUsu, varTab) {
		UnTip();
		if(confirm('¿ESTA SEGURO DE ELIMINAR ESTE PERMISO?')) {			
			xajax_xEliminar(varAsi, varUsu);
			EliminarFilaTabla(varTab)
			}
		}
		
	function xFormuRegistroJS(varAsi, varUsu, varOpt) {
		UnTip();
		xajax_xFormuRegistro(varAsi, varUsu, varOpt);		
		}

</script>

<?php		
function MyTable($obj, $varTitulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	echo "<div id=\"divFormRegistro\">";
	echo "</div>";
	} 
?>